#ifndef _JOY_H_
#define _JOY_H_

#define PADL2      (1<< 0)
#define PADR2      (1<< 1)
#define PADL1      (1<< 2)
#define PADR1      (1<< 3)
#define PADRup     (1<< 4)
#define PADRright  (1<< 5)
#define PADRdown   (1<< 6)
#define PADRleft   (1<< 7)
#define PADselect  (1<< 8)


#define PADstart   (1<<11)
#define PADLup     (1<<12)
#define PADLright  (1<<13)
#define PADLdown   (1<<14)
#define PADLleft   (1<<15)

int  JOY0_Open();
int  JOY0_InitHeader(char *buf);
void JOY0_Close();
void JOY0_Vibrate(int motor);
void JOY0_Poll();

int  JOY1_Open();
int  JOY1_InitHeader(char *buf);
void JOY1_Close();
void JOY1_Vibrate(int motor);
void JOY1_Poll();

#endif
